function checkQuiz(form) {
    var a1 = getAnswer(form.q1);
    var a2 = getAnswer(form.q2);
    var a3 = getAnswer(form.q3);
    var objJSON = {
        "answers" : [a1, a2, a3]
    }
    var strJSON = JSON.stringify(objJSON);
    var xmlhttp = new XMLHttpRequest();
    xmlhttp.open("post","/process-challenge",true);
    xmlhttp.onreadystatechange = function() {
        if (xmlhttp.readyState === 4 && xmlhttp.status == 200) {
            var strJSON = decodeURIComponent(xmlhttp.responseText);
            var objJSON = JSON.parse(strJSON);
            for (var i in objJSON) {
                document.getElementById(i + 'Result').innerHTML = objJSON[i];
            }
        }
    }
    xmlhttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
    xmlhttp.send("strJSON=" + encodeURIComponent(strJSON));
}

function getAnswer(radio) {
    for (var i=0; i<radio.length; i++) {
        if (radio[i].checked) {
            return radio[i].value;
        }
    }
    return 'x';
}

window.addEventListener('load', function() {
    var quiz=document.getElementById("quiz-form");
    quiz.addEventListener('submit', function(e) {
        checkQuiz(quiz);
        e.preventDefault();
    }, false);
})